OAuth2 token revocation endpoint

Revokes an access or refresh token. Returns {revoked: boolean} without disclosing whether the token previously existed.

Body
required
application/json
  • client_id
    Type: string
    required

    OAuth2 client ID

  • client_secret
    Type: string
    required

    OAuth2 client secret

  • token
    Type: string
    required

    The token to revoke (access or refresh)

  • token_type_hint
    Type: string enum

    Optional token type hint

    values
    • access_token
    • refresh_token
Responses
  • application/json
  • 400

    Invalid request

  • 401

    Invalid client credentials

  • application/json
  • application/json
  • application/json
Request Example for post/auth/oauth/revoke
curl https://test.boost.space/api/auth/oauth/revoke \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "token": "",
  "token_type_hint": "access_token",
  "client_id": "",
  "client_secret": ""
}'
{
  "revoked": true
}